package com.ruoyi.system.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.ruoyi.system.api.domain.SysDictData;
import com.ruoyi.system.mapper.SysDictDataMapper;
import com.ruoyi.system.service.ISysDictDataService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysDictDataServiceImpl implements ISysDictDataService {
   @Autowired
   private SysDictDataMapper dictDataMapper;

   public List<SysDictData> selectDictDataList(SysDictData dictData) {
      return this.dictDataMapper.selectDictDataList(dictData);
   }

   public String selectDictLabel(String dictType, String dictValue) {
      return this.dictDataMapper.selectDictLabel(dictType, dictValue);
   }

   public SysDictData selectDictDataById(Long dictCode) {
      return this.dictDataMapper.selectDictDataById(dictCode);
   }

   public void deleteDictDataByIds(Long[] dictCodes) {
      Long[] var2 = dictCodes;
      int var3 = dictCodes.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         Long dictCode = var2[var4];
         SysDictData data = this.selectDictDataById(dictCode);
         this.dictDataMapper.deleteDictDataById(dictCode);
         List<SysDictData> dictDatas = this.dictDataMapper.selectDictDataByType(data.getDictType());
         DictUtils.setDictCache(data.getDictType(), dictDatas);
      }

   }

   public int insertDictData(SysDictData data) {
      int row = this.dictDataMapper.insertDictData(data);
      if (row > 0) {
         List<SysDictData> dictDatas = this.dictDataMapper.selectDictDataByType(data.getDictType());
         DictUtils.setDictCache(data.getDictType(), dictDatas);
      }

      return row;
   }

   public int updateDictData(SysDictData data) {
      int row = this.dictDataMapper.updateDictData(data);
      if (row > 0) {
         List<SysDictData> dictDatas = this.dictDataMapper.selectDictDataByType(data.getDictType());
         DictUtils.setDictCache(data.getDictType(), dictDatas);
      }

      return row;
   }
}
